Namespace: webdriver.logging
View Source

# class Preferences

Describes the log preferences for a WebDriver session.

## Instance Methods

### setLevel(type, level)code »

Sets the desired logging level for a particular log type.

Parameters

type`string`

  The log type.

level`{name: string, value: number}`

  The desired log level.

### toJSON(arg0)code »

Converts this instance to its JSON representation.

Parameters

arg0`string=`

Returns

`Object<string, string>`

  The JSON representation of this set of preferences.